import { GeneralObserver } from '../general-observer';
import { handleFlickrLoad } from './utilities';
export const Flickr = (props) => (<GeneralObserver onEnter={handleFlickrLoad}>
    <span class="flickr" data-flickr-embed="true" data-header="true" data-footer="true">
      <img src={`//live.staticflickr.com/${props.flickrLink}`} width="100%" height="auto" alt={props.flickrLink}/>
    </span>
  </GeneralObserver>);
