import { mergeProps } from 'solid-js';
import { GeneralObserver } from '../general-observer';
import { handleTwttrLoad } from './utilities';
export const TwitterHashtagButton = (props) => {
    const props_ = mergeProps({
        size: 'small',
    }, props);
    return (<GeneralObserver onEnter={handleTwttrLoad}>
      <a href={`//twitter.com/intent/tweet?button_hashtag=${props_.hashtag}&ref_src=twsrc%5Etfw`} class="twitter-hashtag-button" data-size={props_.size}>{`Tweet #${props_.hashtag}`}</a>
    </GeneralObserver>);
};
