import type { Component } from 'solid-js';
export type CodePenProps = {
    /** CodePen id */
    codePenId: string;
    /** Height for the iFrame */
    height?: number;
    /** Which tabs to display */
    tabs?: string[] | 'js' | 'css' | 'scss' | 'less' | 'result';
    /** Load pen in a preview state? **/
    clickToLoad?: boolean;
    /** Make the CodePen editable **/
    editable?: boolean;
    /** Theme of the CodePen **/
    theme?: string | 'light' | 'dark' | 'default';
};
export declare const CodePen: Component<CodePenProps>;
