import { mergeProps, Show } from 'solid-js';
import { GeneralObserver } from '../general-observer';
export const Buzzsprout = (props) => {
    const props_ = mergeProps({
        width: '100%',
        height: '200',
    }, props);
    return (<Show when={/^\d{7}\/\d{7}-[\W\w]+/.test(props_.buzzsproutId)}>
      <GeneralObserver>
        <div class="buzzsprout-solid-social" style={{ position: 'relative' }}>
          <iframe class="buzzsprout" title={`buzzsprout-${props_.buzzsproutId}`} src={`//www.buzzsprout.com/${props_.buzzsproutId}?client_source=small_player&amp;iframe=true`} width={props_.width} height={props_.height} 
    // eslint-disable-next-line @typescript-eslint/ban-ts-comment
    // @ts-expect-error
    scrolling="no"/>
        </div>
      </GeneralObserver>
    </Show>);
};
