import type { Component } from 'solid-js';
export type TweetProps = {
    /** Tweet link */
    tweetLink: string;
    /** Color theme of the Tweet */
    theme?: 'light' | 'dark';
    /** Alignment of the Tweet */
    align?: 'left' | 'center' | 'right';
    /** Hides the conversation */
    hideConversation?: boolean;
};
export declare const Tweet: Component<TweetProps>;
